# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from enum import Enum


class VideoQueryScenario(str, Enum):

    list = "List"
    single_dominant_video = "SingleDominantVideo"


class ErrorCode(str, Enum):

    none = "None"
    server_error = "ServerError"
    invalid_request = "InvalidRequest"
    rate_limit_exceeded = "RateLimitExceeded"
    invalid_authorization = "InvalidAuthorization"
    insufficient_authorization = "InsufficientAuthorization"


class ErrorSubCode(str, Enum):

    unexpected_error = "UnexpectedError"
    resource_error = "ResourceError"
    not_implemented = "NotImplemented"
    parameter_missing = "ParameterMissing"
    parameter_invalid_value = "ParameterInvalidValue"
    http_not_allowed = "HttpNotAllowed"
    blocked = "Blocked"
    authorization_missing = "AuthorizationMissing"
    authorization_redundancy = "AuthorizationRedundancy"
    authorization_disabled = "AuthorizationDisabled"
    authorization_expired = "AuthorizationExpired"


class Freshness(str, Enum):

    day = "Day"
    week = "Week"
    month = "Month"


class VideoLength(str, Enum):

    all = "All"
    short = "Short"
    medium = "Medium"
    long_enum = "Long"


class VideoPricing(str, Enum):

    all = "All"
    free = "Free"
    paid = "Paid"


class VideoResolution(str, Enum):

    all = "All"
    sd480p = "SD480p"
    hd720p = "HD720p"
    hd1080p = "HD1080p"


class SafeSearch(str, Enum):

    off = "Off"
    moderate = "Moderate"
    strict = "Strict"


class TextFormat(str, Enum):

    raw = "Raw"
    html = "Html"


class VideoInsightModule(str, Enum):

    all = "All"
    related_videos = "RelatedVideos"
    video_result = "VideoResult"
